Error — This is usually due to inconsistent file permissions

Исправляем ошибку при обновлении WordPress.

Уведомление об ошибке

Update WordPress
Downloading update from https://downloads.wordpress.org/release/ru_RU/wordpress-5.2.1.zip…
Unpacking the update…
Verifying the unpacked files…
Preparing to install the latest version…
The update cannot be installed because we will be unable to copy some files. This is usually due to inconsistent file permissions.: wp-includes/version.php
Installation Failed

Причина

Значит на директорию установлены неправильные права. На все папки должны стоять права одного и того же юзера.

Решение

Заходим через SSH и устанавливаем права, например, юзера admin (если, конечно, он существует):

chown -R admin:admin /home/admin/web/ваш-сайт/public_html/wp-includes

Привет. Ты находишься на моём сайте. Я разработчик. Здесь я делюсь своими наработками и знаниями. Спрашивай в комментариях, если тебе что-то не понятно или пиши, если есть что добавить.

Если вам пригодилась информация, вы можете поблагодарить автора сайта символическим пожертвованием:

Добавить комментарий

Напишите свой комментарий, если вам есть что добавить/поправить/спросить по теме текущей статьи: "Error — This is usually due to inconsistent file permissions".

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Если вам нужно добавить участок кода ставьте его между тегами <code></code>